HanMacWrdJTextInternal::Section Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdJTextInternal::Section Struct Reference

Internal: class to store a section of a HanMacWrdJText. More...

## Public Member Functions
| Section ()
| constructor More...
MWAWSection | getSection () const
| returns a MWAWSection More...

## Public Attributes
int | m_numCols
| the number of column More...
std::vector< double > | m_colWidth
| the columns width More...
std::vector< double > | m_colSep
| the columns separator width More...
long | m_id
| the id More...
std::string | m_extra
| extra string string More...

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: class to store a section of a HanMacWrdJText.

## Constructor & Destructor Documentation

## ◆ Section()

HanMacWrdJTextInternal::Section::Section | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getSection()

MWAWSection HanMacWrdJTextInternal::Section::getSection | ( |  | ) | const
| inline

returns a MWAWSection

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_colSep

std::vector<double> HanMacWrdJTextInternal::Section::m_colSep

the columns separator width

Referenced by getSection(), and HanMacWrdJText::readSections().

## ◆ m_colWidth

std::vector<double> HanMacWrdJTextInternal::Section::m_colWidth

the columns width

Referenced by getSection(), and HanMacWrdJText::readSections().

## ◆ m_extra

std::string HanMacWrdJTextInternal::Section::m_extra

extra string string

Referenced by HanMacWrdJText::readSections().

## ◆ m_id

long HanMacWrdJTextInternal::Section::m_id

the id

Referenced by HanMacWrdJText::readSections().

## ◆ m_numCols

int HanMacWrdJTextInternal::Section::m_numCols

the number of column

Referenced by getSection(), and HanMacWrdJText::readSections().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx